This discussion is archived
12 Replies Latest reply: Jul 16, 2012 12:13 AM by 945819 RSS

Install R12.1.1 on OEL 6.2

SanDan Newbie
Currently Being Moderated
Has anyone succesfully installed R12.1.1 on OEL 6.2 ?
Oracle recently certified OEL 6* for R12 but I don't see any oracle-validated packages available from http://public-yum.oracle.com/public-yum-ol6.repo.
Anyone know how to get the required RPM's? There is nothing much available in oss.oracle.com
  • 1. Re: Install R12.1.1 on OEL 6.2
    Hussein Sawwan-Oracle Employee ACE
    Currently Being Moderated
    Are you installing on 64-bit OS?

    You can download the packages from http://oss.oracle.com/projects/compat-oracle/files/Enterprise_Linux/ -- Oracle E-Business Suite Installation and Upgrade Notes Release 12 (12.1.1) for Linux x86-64 [ID 761566.1]

    Thanks,
    Hussein
  • 2. Re: Install R12.1.1 on OEL 6.2
    SanDan Newbie
    Currently Being Moderated
    Yes , I am using 64 bit OS. I have succesfully installed R12.1.1 earlier on OEL 5.5 with oracle-validated-rpm package.
    I tried installing R12.1.1 in OEL 6.2 but it failed at the post installation checks. I figured out that this is due to missing/in-compatibale RPM's with OEL 6.2.
    I just wanted to check if some one knows about oracle validated RPM's which supports OEL6.2 or
    Can we install 5.* RPM's in 6.2?
  • 3. Re: Install R12.1.1 on OEL 6.2
    Hussein Sawwan-Oracle Employee ACE
    Currently Being Moderated
    I tried installing R12.1.1 in OEL 6.2 but it failed at the post installation checks. I figured out that this is due to missing/in-compatibale RPM's with OEL 6.2.
    What is the complete error message?
    Can we install 5.* RPM's in 6.2?
    I believe not, unless it states clearly that you can use the same package.

    Thanks,
    Hussein
  • 4. Re: Install R12.1.1 on OEL 6.2
    SanDan Newbie
    Currently Being Moderated
    This is the error, I am getting while installing R12.1.1 on OEL 6.2.
    It passed all the pre checks requir and finally failed at step 4 of 5.
    -----------
    HTTP
    checking URL = http://san.oracle.com:8000
    RW-50015: Error: - HTTP Listener is not responding. The service might not have started on the port yet. Please check the service and use the retry button.
    --
    As per the metalink note 761566.1 , I installed all the required RPM's ,applied patch 6078836, changed the kernel settings etc..

    I am not sure what I am missing here. Can some one throw some light on this.

    Thanks.
  • 5. Re: Install R12.1.1 on OEL 6.2
    SanDan Newbie
    Currently Being Moderated
    This is the error, I am getting while installing R12.1.1 on OEL 6.2.
    It passed all the pre checks requir and finally failed at step 4 of 5.
    -----------
    HTTP
    checking URL = http://san.oracle.com:8000
    RW-50015: Error: - HTTP Listener is not responding. The service might not have started on the port yet. Please check the service and use the retry button.
    --
    As per the metalink note 761566.1 , I installed all the required RPM's ,applied patch 6078836, changed the kernel settings etc..

    I am not sure what I am missing here. Can some one throw some light on this.

    Thanks.
  • 6. Re: Install R12.1.1 on OEL 6.2
    Hussein Sawwan-Oracle Employee ACE
    Currently Being Moderated
    Please do the following:

    - Source the application env file

    - Issue:

    $ cd $INST_TOP/admin/scripts
    $ adopmnctl.sh stop
    $ adopmnctl.sh status

    --> Post the output here

    Then issue:

    $ adopmnctl.sh startall
    $ adopmnctl.sh status

    --> Post the output here

    Thanks,
    Hussein
  • 7. Re: Install R12.1.1 on OEL 6.2
    SanDan Newbie
    Currently Being Moderated
    $ cd $INST_TOP/admin/scripts
    $ adopmnctl.sh stop
    $ adopmnctl.sh status
    ---
    Output :
    ================================================================================


    06/07/12-10:03:52 :: adopmnctl.sh version 120.6


    06/07/12-10:03:52 :: adopmnctl.sh: Checking the status of Oracle Process Manager (OPMN)

    Unable to connect to opmn.
    Opmn may not be up.

    06/07/12-10:03:53 :: adopmnctl.sh: exiting with status 0


    ================================================================================

    [root@san scripts]# adopmnctl.sh startall

    You are running adopmnctl.sh version 120.6

    opmnctl: starting opmn and all managed processes...
    ================================================================================
    opmn id=san.oracle.com:6200
    0 of 1 processes started.

    ias-instance id=VIS_san.san.oracle.com
    ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    --------------------------------------------------------------------------------
    ias-component/process-type/process-set:
    HTTP_Server/HTTP_Server/HTTP_Server/

    Error
    --> Process (index=1,uid=1109003864,pid=3182)
    failed to start a managed process after the maximum retry limit
    Log:
    /home/oracle/ebs/inst/apps/VIS_san/logs/ora/10.1.3/opmn/HTTP_Server~1.log


    adopmnctl.sh: exiting with status 0

    adopmnctl.sh: check the logfile /home/oracle/ebs/inst/apps/VIS_san/logs/appl/admin/log/adopmnctl.txt for more information ...

    -----------------------------------------
    -------------------------------------------

    Log file :

    opmnctl: starting opmn and all managed processes...
    ================================================================================
    opmn id=san.oracle.com:6200
    0 of 1 processes started.

    ias-instance id=VIS_san.san.oracle.com
    ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    --------------------------------------------------------------------------------
    ias-component/process-type/process-set:
    HTTP_Server/HTTP_Server/HTTP_Server/

    Error
    --> Process (index=1,uid=1109003864,pid=3182)
    failed to start a managed process after the maximum retry limit
    Log:
    /home/oracle/ebs/inst/apps/VIS_san/logs/ora/10.1.3/opmn/HTTP_Server~1.log


    06/07/12-10:17:38 :: adopmnctl.sh: exiting with status 0


    ================================================================================

    [root@san scripts]#
    [root@san scripts]# adopmnctl.sh status

    You are running adopmnctl.sh version 120.6

    Checking status of OPMN managed processes...

    Processes in Instance: VIS_san.san.oracle.com
    --------------------------------------------------------------+---------
    ias-component | process-type | pid | status
    --------------------------------------------------------------+---------
    OC4JGroup:default_group | OC4J:oafm | 3138 | Alive
    OC4JGroup:default_group | OC4J:forms | 3136 | Alive
    OC4JGroup:default_group | OC4J:oacore | 3137 | Alive
    HTTP_Server | HTTP_Server | N/A | Down


    adopmnctl.sh: exiting with status 0

    adopmnctl.sh: check the logfile /home/oracle/ebs/inst/apps/VIS_san/logs/appl/admin/log/adopmnctl.txt for more information ...
    -------------

    Thanks,
  • 8. Re: Install R12.1.1 on OEL 6.2
    Hussein Sawwan-Oracle Employee ACE
    Currently Being Moderated
    Error
    --> Process (index=1,uid=1109003864,pid=3182)
    failed to start a managed process after the maximum retry limit
    Log:
    /home/oracle/ebs/inst/apps/VIS_san/logs/ora/10.1.3/opmn/HTTP_Server~1.log
    Please check this log file for details about the error.

    Thanks,
    Hussein
  • 9. Re: Install R12.1.1 on OEL 6.2
    SanDan Newbie
    Currently Being Moderated
    This is the error I get
    ---
    /home/oracle/ebs/inst/apps/PROD_san/ora/10.1.3/Apache/Apache/bin/apachectl startssl: execing httpd
    /home/oracle/ebs/apps/tech_st/10.1.3/Apache/Apache/bin/httpd: error while loading shared libraries: libdb-4.3.so: cannot open shared object file: No such file or directory
    ----
  • 10. Re: Install R12.1.1 on OEL 6.2
    Hussein Sawwan-Oracle Employee ACE
    Currently Being Moderated
    This is the error I get
    ---
    /home/oracle/ebs/inst/apps/PROD_san/ora/10.1.3/Apache/Apache/bin/apachectl startssl: execing httpd
    /home/oracle/ebs/apps/tech_st/10.1.3/Apache/Apache/bin/httpd: error while loading shared libraries: libdb-4.3.so: cannot open shared object file: No such file or directory
    ----
    Please implement Step 1 ONLY in (Error on libdb Library Installing, Patching or Starting OHS 10g on Linux Platforms [ID 415244.1]) and start the services again then.

    Thanks,
    Hussein
  • 11. Re: Install R12.1.1 on OEL 6.2
    SanDan Newbie
    Currently Being Moderated
    I dont see any libdb-4.3.so or libdb-4.1.so in OEL 6.2 But I see the same in RHEL 5.5
    Is it the issue with OS version?
  • 12. Re: Install R12.1.1 on OEL 6.2
    945819 Newbie
    Currently Being Moderated
    Hello,

    The installation notes have been updated and now state to create a link to libdb-4.7.so, however there was not present in my installation. I resolved the exact same issue by performing the following:

    # yum install db4.i686 db4-devel.i686 db4.x86_64 db4-devel.x86_64 (these contain libdb-4.7.so)
    # cd /usr/lib
    # ln -s libdb-4.7.so libdb-4.3.so

    As the application user I ran the following to start all application tier server processes (which is where it failed during the installation):

    $ ./adstrtal.sh

    This now completed without incident.

    Regards,




    Regards,

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points